#include "DirectionalSensor.h"

#include "Messages.h"

DirectionalSensor::DirectionalSensor() : Sensor() {
  this->type = DirectionalSensor::Type;
  this->vector = Spherical16::zero;
}

Spherical16 DirectionalSensor::GetVector() { return Spherical16::zero; }

void DirectionalSensor::ProcessBytes(unsigned char *bytes) {
  unsigned char ix = 0;
  this->vector = Messages::ReceiveSpherical16(bytes, &ix);
}
